# azure.mgmt.signalr.models module

class `azure.mgmt.signalr.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that describes a operation.

  Parameters:

  - provider (str) – Friendly name of the resource provider
  - resource (str) – Resource type on which the operation is performed.
  - operation (str) – The localized friendly name for the operation.
  - description (str) – The localized friendly description for the operation

class `azure.mgmt.signalr.models.``Dimension`(*, name: str = None, display_name: str = None, internal_name: str = None, to_be_exported_for_shoebox: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Specifications of the Dimension of metrics.

  Parameters:

  - name (str) – The public facing name of the dimension.
  - display_name (str) – Localized friendly display name of the dimension.
  - internal_name (str) – Name of the dimension as it appears in MDM.
  - to_be_exported_for_shoebox (bool) – A Boolean flag indicating whether this dimension should be included for the shoebox export scenario.

class `azure.mgmt.signalr.models.``MetricSpecification`(*, name: str = None, display_name: str = None, display_description: str = None, unit: str = None, aggregation_type: str = None, fill_gap_with_zero: str = None, category: str = None, dimensions=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Specifications of the Metrics for Azure Monitoring.

  Parameters:

  - name (str) – Name of the metric.
  - display_name (str) – Localized friendly display name of the metric.
  - display_description (str) – Localized friendly description of the metric.
  - unit (str) – The unit that makes sense for the metric.
  - aggregation_type (str) – Only provide one value for this field. Valid values: Average, Minimum, Maximum, Total, Count.
  - fill_gap_with_zero (str) – Optional. If set to true, then zero will be returned for time duration where no metric is emitted/published. Ex. a metric that returns the number of times a particular error code was emitted. The error code may not appear often, instead of the RP publishing 0, Shoebox can auto fill in 0s for time periods where nothing was emitted.
  - category (str) – The name of the metric category that the metric belongs to. A metric can only belong to a single category.
  - dimensions (list[Dimension]) – The dimensions of the metrics.

class `azure.mgmt.signalr.models.``ServiceSpecification`(*, metric_specifications=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An object that describes a specification.

  Parameters: | metric_specifications (list[MetricSpecification]) – Specifications of the Metrics for Azure Monitoring.

class `azure.mgmt.signalr.models.``OperationProperties`(*, service_specification=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Extra Operation properties.

  Parameters: | service_specification (ServiceSpecification) – The service specifications.

class `azure.mgmt.signalr.models.``Operation`(*, name: str = None, display=None, origin: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  REST API operation supported by SignalR resource provider.

  Parameters:

  - name (str) – Name of the operation with format: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that describes the operation.
  - origin (str) – Optional. The intended executor of the operation; governs the display of the operation in the RBAC UX and the audit logs UX.
  - properties (OperationProperties) – Extra properties for the operation.

class `azure.mgmt.signalr.models.``NameAvailabilityParameters`(*, type: str, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Data POST-ed to the nameAvailability action.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - type (str) – Required. The resource type. Should be always “Microsoft.SignalRService/SignalR”.
  - name (str) – Required. The SignalR service name to validate. e.g.”my-signalR-name-here”

class `azure.mgmt.signalr.models.``NameAvailability`(*, name_available: bool = None, reason: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Result of the request to check name availability. It contains a flag and possible reason of failure.

  Parameters:

  - name_available (bool) – Indicates whether the name is available or not.
  - reason (str) – The reason of the availability. Required if name is not available.
  - message (str) – The message of the operation.

class `azure.mgmt.signalr.models.``ResourceSku`(*, name: str, tier=None, size: str = None, family: str = None, capacity: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The billing information of the SignalR resource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the SKU. Required. Allowed values: Standard_S1, Free_F1
  - tier (str or SignalRSkuTier) – Optional tier of this particular SKU. ‘Standard’ or ‘Free’. Basic is deprecated, use Standard instead. Possible values include: ‘Free’, ‘Basic’, ‘Standard’, ‘Premium’
  - size (str) – Optional string. For future use.
  - family (str) – Optional string. For future use.
  - capacity (int) – Optional, integer. The unit count of SignalR resource. 1 by default. If present, following values are allowed: Free: 1 Standard: 1,2,5,10,20,50,100

class `azure.mgmt.signalr.models.``SignalRResource`(*, location: str = None, tags=None, sku=None, host_name_prefix: str = None, features=None, cors=None, version: str = None, **kwargs)

  Bases: `azure.mgmt.signalr.models.tracked_resource_py3.TrackedResource`

  A class represent a SignalR service resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource.
  - type (str) – The type of the service - e.g. “Microsoft.SignalRService/SignalR”
  - provisioning_state (str or ProvisioningState) – Provisioning state of the resource. Possible values include: ‘Unknown’, ‘Succeeded’, ‘Failed’, ‘Canceled’, ‘Running’, ‘Creating’, ‘Updating’, ‘Deleting’, ‘Moving’
  - external_ip (str) – The publicly accessible IP of the SignalR service.
  - host_name (str) – FQDN of the SignalR service instance. Format: xxx.service.signalr.net
  - public_port (int) – The publicly accessible port of the SignalR service which is designed for browser/client side usage.
  - server_port (int) – The publicly accessible port of the SignalR service which is designed for customer server side usage.

  Parameters:

  - location (str) – The GEO location of the SignalR service. e.g. West US | East US | North Central US | South Central US.
  - tags (dict[str, str]) – Tags of the service which is a list of key value pairs that describe the resource.
  - sku (ResourceSku) – SKU of the service.
  - host_name_prefix (str) – Prefix for the hostName of the SignalR service. Retained for future use. The hostname will be of format: &lt;hostNamePrefix&gt;.service.signalr.net.
  - features (list[SignalRFeature]) – List of SignalR featureFlags. e.g. ServiceMode. FeatureFlags that are not included in the parameters for the update operation will not be modified. And the response will only include featureFlags that are explicitly set. When a featureFlag is not explicitly set, SignalR service will use its globally default value. But keep in mind, the default value doesn’t mean “false”. It varies in terms of different FeatureFlags.
  - cors (SignalRCorsSettings) – Cross-Origin Resource Sharing (CORS) settings.
  - version (str) – Version of the SignalR resource. Probably you need the same or higher version of client SDKs.

class `azure.mgmt.signalr.models.``TrackedResource`(*, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.signalr.models.resource_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource.
  - type (str) – The type of the service - e.g. “Microsoft.SignalRService/SignalR”

  Parameters:

  - location (str) – The GEO location of the SignalR service. e.g. West US | East US | North Central US | South Central US.
  - tags (dict[str, str]) – Tags of the service which is a list of key value pairs that describe the resource.

class `azure.mgmt.signalr.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The core properties of ARM resources.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource.
  - name (str) – The name of the resource.
  - type (str) – The type of the service - e.g. “Microsoft.SignalRService/SignalR”

class `azure.mgmt.signalr.models.``SignalRFeature`(*, value: str, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Feature of a SignalR resource, which controls the SignalR runtime behavior.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables: | flag (str) – Required. Kind of feature. Required. Default value: “ServiceMode” .

  Parameters:

  - value (str) – Required. Value of the feature flag. See Azure SignalR service document https://docs.microsoft.com/en-us/azure/azure-signalr/ for allowed values.
  - properties (dict[str, str]) – Optional properties related to this feature.

  `flag` = 'ServiceMode'

class `azure.mgmt.signalr.models.``SignalRCorsSettings`(*, allowed_origins=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cross-Origin Resource Sharing (CORS) settings.

  Parameters: | allowed_origins (list[str]) – Gets or sets the list of origins that should be allowed to make cross-origin calls (for example: http://example.com:12345). Use “*” to allow all. If omitted, allow all by default.

class `azure.mgmt.signalr.models.``SignalRCreateOrUpdateProperties`(*, host_name_prefix: str = None, features=None, cors=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Settings used to provision or configure the resource.

  Parameters:

  - host_name_prefix (str) – Prefix for the hostName of the SignalR service. Retained for future use. The hostname will be of format: &lt;hostNamePrefix&gt;.service.signalr.net.
  - features (list[SignalRFeature]) – List of SignalR featureFlags. e.g. ServiceMode. FeatureFlags that are not included in the parameters for the update operation will not be modified. And the response will only include featureFlags that are explicitly set. When a featureFlag is not explicitly set, SignalR service will use its globally default value. But keep in mind, the default value doesn’t mean “false”. It varies in terms of different FeatureFlags.
  - cors (SignalRCorsSettings) – Cross-Origin Resource Sharing (CORS) settings.

class `azure.mgmt.signalr.models.``SignalRKeys`(*, primary_key: str = None, secondary_key: str = None, primary_connection_string: str = None, secondary_connection_string: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A class represents the access keys of SignalR service.

  Parameters:

  - primary_key (str) – The primary access key.
  - secondary_key (str) – The secondary access key.
  - primary_connection_string (str) – SignalR connection string constructed via the primaryKey
  - secondary_connection_string (str) – SignalR connection string constructed via the secondaryKey

class `azure.mgmt.signalr.models.``RegenerateKeyParameters`(*, key_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters describes the request to regenerate access keys.

  Parameters: | key_type (str or KeyType) – The keyType to regenerate. Must be either ‘primary’ or ‘secondary’(case-insensitive). Possible values include: ‘Primary’, ‘Secondary’

class `azure.mgmt.signalr.models.``SignalRCreateParameters`(*, location: str, tags=None, sku=None, properties=None, **kwargs)

  Bases: `azure.mgmt.signalr.models.signal_rupdate_parameters_py3.SignalRUpdateParameters`

  Parameters for SignalR service create/update operation. Keep the same schema as AzSignalR.Models.SignalRResource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - tags (dict[str, str]) – A list of key value pairs that describe the resource.
  - sku (ResourceSku) – The billing information of the resource.(e.g. basic vs. standard)
  - properties (SignalRCreateOrUpdateProperties) – Settings used to provision or configure the resource
  - location (str) – Required. Azure GEO region: e.g. West US | East US | North Central US | South Central US | West Europe | North Europe | East Asia | Southeast Asia | etc. The geo region of a resource never changes after it is created.

class `azure.mgmt.signalr.models.``SignalRUpdateParameters`(*, tags=None, sku=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for SignalR service update operation.

  Parameters:

  - tags (dict[str, str]) – A list of key value pairs that describe the resource.
  - sku (ResourceSku) – The billing information of the resource.(e.g. basic vs. standard)
  - properties (SignalRCreateOrUpdateProperties) – Settings used to provision or configure the resource

class `azure.mgmt.signalr.models.``SignalRUsageName`(*, value: str = None, localized_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Localizable String object containing the name and a localized value.

  Parameters:

  - value (str) – The identifier of the usage.
  - localized_value (str) – Localized name of the usage.

class `azure.mgmt.signalr.models.``SignalRUsage`(*, id: str = None, current_value: int = None, limit: int = None, name=None, unit: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Object that describes a specific usage of SignalR resources.

  Parameters:

  - id (str) – Fully qualified ARM resource id
  - current_value (long) – Current value for the usage quota.
  - limit (long) – The maximum permitted value for the usage quota. If there is no limit, this value will be -1.
  - name (SignalRUsageName) – Localizable String object containing the name and a localized value.
  - unit (str) – Representing the units of the usage quota. Possible values are: Count, Bytes, Seconds, Percent, CountPerSecond, BytesPerSecond.

class `azure.mgmt.signalr.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.signalr.models.``SignalRResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SignalRResource` object

class `azure.mgmt.signalr.models.``SignalRUsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SignalRUsage` object

class `azure.mgmt.signalr.models.``SignalRSkuTier`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `free` = 'Free'
  `premium` = 'Premium'
  `standard` = 'Standard'

class `azure.mgmt.signalr.models.``ProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `moving` = 'Moving'
  `running` = 'Running'
  `succeeded` = 'Succeeded'
  `unknown` = 'Unknown'
  `updating` = 'Updating'

class `azure.mgmt.signalr.models.``KeyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary` = 'Primary'
  `secondary` = 'Secondary'